Will Rock Multiplayer Community
http://willrock.altervista.org/

I cant apply the patch for playing multyplayer
http://willrock.altervista.org/viewtopic.php?f=12&t=22
Page 1 of 1

Author:  Albitron42 [ 08 Oct 2016, 14:46 ]
Post subject:  I cant apply the patch for playing multyplayer

Hi everybody, i'm new on this forum and i have a problem.
i want to play Will Rock with my friends but i cannot install the patch 1.2, i download it and when a click on it the installer say that
"The patch doesn't matches with the current version of the game make sure that the version of the game corresponds to the patch and then retry"
What should i have to do?
(sorry about mi grammar error, i'm italian ;) )

Author:  Costa [ 15 Oct 2016, 16:10 ]
Post subject:  Re: I cant apply the patch for playing multyplayer

Albitron42 wrote:
Hi everybody, i'm new on this forum and i have a problem.
i want to play Will Rock with my friends but i cannot install the patch 1.2, i download it and when a click on it the installer say that
"The patch doesn't matches with the current version of the game make sure that the version of the game corresponds to the patch and then retry"
What should i have to do?
(sorry about mi grammar error, i'm italian ;) )

Ciao Albitron42 e benvenuto nel forum.

Mi ricordo che avevo anchio un problema del genere.....se non ricordo male ho dovuto scaricare la "corretta versione " della patch. Mi spiego meglio:

Il gioco andrebbe aggiornato alla 1.2, ma la patch non sò per quale motivo, non è standard per ogni versione (in base alla lingua nativa del gioco). Il gioco ha la 1.2 In alcune lingue, il mio consiglio che ti posso dare è di andare nella sezione download e scaricare tutte le versioni 1.2 (Europea, Americana Tedesca e EMEA)

Nella sezione download nel dubbio le ho caricate tutte, e sono:

Game Patch 1.2 - US
Game Patch 1.2 - European
Game Patch 1.2 - German
Game Patch 1.2 - EMEA (Europe, Middle East, and Africa)

Inizia con una e poi vedi se ti funziona, altrimenti prova con quella successiva e così via, in questo modo sai che "edizione" del gioco hai. Una volta aggiornata alla 1.2 Non dovrebbero esserci problemi di compatibilità tra 2 o piu giocatori online che utilizzano edizioni differenti. (L'importante che i giocatori siano alla 1.2).

Fammi sapere se dopo aver provato con tutte le versioni di patch continua a darti lo stesso errore, Ciao!

Link - >Sezione Downloads Patch<

Author:  Albitron42 [ 17 Oct 2016, 12:46 ]
Post subject:  Re: I cant apply the patch for playing multyplayer

Okay, la patch adesso me l'ha installata ma adesso non mi apre il gioco,
Se lo apro normalmente mi chiede di aprirlo come amministratore, se lo apro come amministratore non parte completamente nulla, resto sul desktop.
(Ho windows 10 con una Nvidia GeForce 650 GTX, magari è per il pc?)

Preciso che prima funzionava perfettamente a parte qualche glitch grafico


Okay ho disinstallato e reinstallato il gioco, ho installato la patch ma se vado su multiplayer dice che ho ancora la 1.0 (il singleplayer non parte).

Grazie in anticipo

Author:  Costa [ 17 Oct 2016, 23:28 ]
Post subject:  Re: I cant apply the patch for playing multyplayer

Albitron42 wrote:
Okay, la patch adesso me l'ha installata ma adesso non mi apre il gioco,
Se lo apro normalmente mi chiede di aprirlo come amministratore, se lo apro come amministratore non parte completamente nulla, resto sul desktop.
(Ho windows 10 con una Nvidia GeForce 650 GTX, magari è per il pc?)

Preciso che prima funzionava perfettamente a parte qualche glitch grafico


Okay ho disinstallato e reinstallato il gioco, ho installato la patch ma se vado su multiplayer dice che ho ancora la 1.0 (il singleplayer non parte).

Grazie in anticipo


Non ho mai provato Willrock su Windows 10 e non uso windows 10, quindi non saprei aiutarti, potresti provare a far girare il gioco in modalità compatibilità con windows 7....se nel menu di gioco ti da 1.0 allora non ha installato la patch correttamente...credo che l' installer stesso non sia progettato per windows 10....

In ogni caso, potresti casomai installare il gioco su un sistema operativo piu vecchio, tipo windows 7 o windows XP, e aggiornare li il gioco alla 1.2, dopodichè copi il gioco interamente dalla cartella e lo sposti su windows 10, lancia il gioco con la patch e non dovrebbero esserci problemi.

Forse ti chiede il controllo del CD quando sposti il gioco su Windows 10, ma ho messo nella sezione downloads la No-CD patch (Basta sostituire il file Willrock.exe e non ti dovrebbe chiedere il CD quando avvii il gioco).

Prova ad usare se puoi un sistema operativo meno recente, windows 10 è abbastanza modificato e potrebbe non avere i requisisti richiesti di Willrock in quanto Willrock è stato creato ai tempi di Windows XP.

Ad ogni modo, quale "edizione" hai dovuto usare per far funzionare la Patch? la versione Inglese o Europea?

Author:  xXLuckyXx [ 28 Nov 2016, 20:33 ]
Post subject:  Re: I cant apply the patch for playing multyplayer

Can you explain in english now? I have the same error but I don't understand your language.

Author:  Costa [ 29 Nov 2016, 01:01 ]
Post subject:  Re: I cant apply the patch for playing multyplayer

xXLuckyXx wrote:
Can you explain in english now? I have the same error but I don't understand your language.

Hi and welcome to the forum.

In pills:

- WillRock may not work on Windows 10, i didnt tested it yet.
- You have to update with the right edition of the patch, they made a few, try with one and if it doesnt work try with the second one and so on.
- I recommend install the game on a windows 7 pc, update it with the patch 1.2, and apply the no cd patch, then copy the whole game into your windows 10 pc

Author:  xXLuckyXx [ 29 Nov 2016, 06:49 ]
Post subject:  Re: I cant apply the patch for playing multyplayer

Hello and thank you!

I installed the game on Windows XP Pro.
I tried all 4 editions of patch 1.2 and I got the same error message.
I have original game so I don't need cd to play the game.

Should I try to install the game on Windows 7 and then copy entire game on Windows XP?

EDIT: Solved.

Author:  Elvagapundo [ 14 Dec 2016, 17:58 ]
Post subject:  Re: I cant apply the patch for playing multyplayer

Hi, I have a similar problem. Me and my friends all get while trying to run the update "Full version of Will Rock was not installed on this machine. Please make sure you have installed Will Rock on your computer and try again."

We have a downloaded version that is 1.0, I can play the game no problem. But we want to play the co-op.

So help please? Any fix for this? A better download? Or somewhere were we maybe can actually buy the game or something?

Page 1 of 1 All times are UTC
Powered by phpBB® Forum Software © phpBB Group
https://www.phpbb.com/